summaryrefslogtreecommitdiff
path: root/m5475-atari-mint/fetchsrc
diff options
context:
space:
mode:
authorVincent Sanders <vince@kyllikki.org>2013-11-24 10:44:23 +0000
committerVincent Sanders <vince@kyllikki.org>2013-11-24 10:44:23 +0000
commit2bfc88d4c96a3181be8214e7729c3091b55e4e9e (patch)
tree9cd63623f1bf3599c2480f2b012faed279325411 /m5475-atari-mint/fetchsrc
parentbb5b765028811e7f9ddbce97033f158fface8090 (diff)
downloadtoolchains-2bfc88d4c96a3181be8214e7729c3091b55e4e9e.tar.gz
toolchains-2bfc88d4c96a3181be8214e7729c3091b55e4e9e.tar.bz2
make m5475-atari-mint use cached copies of sources
Diffstat (limited to 'm5475-atari-mint/fetchsrc')
-rwxr-xr-xm5475-atari-mint/fetchsrc16
1 files changed, 16 insertions, 0 deletions
diff --git a/m5475-atari-mint/fetchsrc b/m5475-atari-mint/fetchsrc
new file mode 100755
index 0000000..bbe8f6b
--- /dev/null
+++ b/m5475-atari-mint/fetchsrc
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# script to fetch toolchain source tar using ci.netsurf-browser.org as a cache
+
+# Usage fetchsrc <target> <source> <upstream> <output>
+
+NSSRV="http://ci.netsurf-browser.org/toolchain/"
+
+wget -q -O ${4} ${NSSRV}/${1}/${2}
+if [ $? -ne 0 ];then
+ wget -q -O ${4} ${3}
+ if [ $? -ne 0 ];then
+ rm ${4}
+ return 1
+ fi
+fi